Emgmbh\UserBundle\Entity\WorkerTerminationAgreement:
    type: entity
    id:
        id:
            type: integer
            options:
                unsigned: true
            id: true
            generator:
                strategy: IDENTITY

    fields:
        dateLastDay:
            type: date
            nullable: true
        date:
            type: date
        createdAt:
            type: datetime
            gedmo:
                timestampable:
                    on: create

    manyToOne:
        worker:
            targetEntity: Emgmbh\UserBundle\Entity\Worker
            inversedBy: jobTerminations
        leader:
            targetEntity: Emgmbh\UserBundle\Entity\Worker
